summaryrefslogtreecommitdiffstats
path: root/source/l/notify-python/notify-python.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/notify-python/notify-python.SlackBuild')
-rwxr-xr-xsource/l/notify-python/notify-python.SlackBuild15
1 files changed, 9 insertions, 6 deletions
diff --git a/source/l/notify-python/notify-python.SlackBuild b/source/l/notify-python/notify-python.SlackBuild
index 9227d8d08..21b76ed94 100755
--- a/source/l/notify-python/notify-python.SlackBuild
+++ b/source/l/notify-python/notify-python.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for notify-python
# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
-# Copyright 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,12 +25,12 @@
PKGNAM=notify-python
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -41,8 +41,8 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -68,7 +68,10 @@ chmod -R u+w,go+r-w,a-s .
rm -f src/pynotify.c
# Fix build with libnotify-0.7 (thanks, Fedora)
-zcat $CWD/libnotify07.patch.gz | patch -p1 || exit 1
+zcat $CWD/libnotify07.patch.gz | patch -p1 --verbose || exit 1
+
+# Fix for hplip-tools:
+zcat $CWD/notify-python-0.1.1-fix-GTK-symbols.patch.gz | patch -p1 --verbose || exit 1
CFLAGS="$SLKCFLAGS" \
./configure \